#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.0.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.0.1-BowvniRVfdkA0BuCc3S7kY-dns-internal
key:                  dns-4.0.1-BowvniRVfdkA0BuCc3S7kY-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  1aaba77c1423d5f56f4892e6d8217dee
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/dns-4.0.1
hs-libraries:         HSdns-4.0.1-BowvniRVfdkA0BuCc3S7kY-dns-internal
depends:
    array-0.5.4.0 async-2.2.4-I5zbY8BbwybAWSg5BNyp1E
    attoparsec-0.14.4-6yxyXEyzS3R3Ezwp1OCEqd
    auto-update-0.1.6-2cX1WAebfkNBzVUUWnjRRC base-4.15.1.0
    base16-bytestring-1.0.2.0-LTQUJknc8KdLC6VI1mIZCG
    base64-bytestring-1.2.1.0-7uITsZGoYAS1Lay1L5KtNF
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.29-FMubdsnr8D79ZCOxXPnG3y
    hourglass-0.2.12-GOAOz1rNzXp9oO8xkZrczu
    iproute-1.7.12-9CUydTShZCoArfijhawoVb mtl-2.2.2
    network-3.1.2.7-1L09W9zvGhC6IaYg8BuIRn
    psqueues-0.2.7.3-GorpaxTPUdsE0gWMsCpfPF

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.0.1
visibility:           public
id:                   dns-4.0.1-6MdyEaAimDS9krpzUV2QYQ
key:                  dns-4.0.1-6MdyEaAimDS9krpzUV2QYQ
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  7be8604387180e13a6f6fce82b763865
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/dns-4.0.1
hs-libraries:         HSdns-4.0.1-6MdyEaAimDS9krpzUV2QYQ
depends:
    array-0.5.4.0 async-2.2.4-I5zbY8BbwybAWSg5BNyp1E
    attoparsec-0.14.4-6yxyXEyzS3R3Ezwp1OCEqd
    auto-update-0.1.6-2cX1WAebfkNBzVUUWnjRRC base-4.15.1.0
    base16-bytestring-1.0.2.0-LTQUJknc8KdLC6VI1mIZCG
    base64-bytestring-1.2.1.0-7uITsZGoYAS1Lay1L5KtNF
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.29-FMubdsnr8D79ZCOxXPnG3y
    dns-4.0.1-BowvniRVfdkA0BuCc3S7kY-dns-internal
    hourglass-0.2.12-GOAOz1rNzXp9oO8xkZrczu
    iproute-1.7.12-9CUydTShZCoArfijhawoVb mtl-2.2.2
    network-3.1.2.7-1L09W9zvGhC6IaYg8BuIRn
    psqueues-0.2.7.3-GorpaxTPUdsE0gWMsCpfPF

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

